<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="find" label="Recherche de dossier" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">

    <default>
        <data type="StringReadOnly" mandatory="false" />
    </default>

    <group id="record" label="Recherche de dossier">
        <help>Seuls 100 dossiers seront sélectionnés au maximum suite à une recherche de dossiers. Utilisez les critères de recherche pour affiner votre recherche</help>
        <group id="search" label="Critère de recherche">
            <data id="uid" label="Identifiant de dossier :" type="PatternString(pattern:'9999-99-aaa-aaa-99')" mandatory="false" width="50%" />
            <data id="spec" label="Identifiant du modèle de formalité :" type="PatternString(pattern:'9999-99-aaa-aaa-99')" width="50%" />
            <data id="date" label="Date de création :" type="DateRange" width="50%" />
            <data id="author" label="ID ou Email du compte de l'utilisateur :" type="String" width="50%" />
            <data id="description" label="Titre ou description du dossier :" type="String" />
			<data id="searchButton" type="Button">
				<value>
                    <list>
                        <text id="label">Rechercher les dossiers</text>
						<text id="icon">folder</text>
						<text id="size">lg</text>
						<text id="color">#0092BC</text>
                    </list>
				</value>
			</data>
        </group>
        <!-- Partie resultat -->
        <group id="results" label="Résultat de la recherche">
            <group id="nashRecords" label="Dossiers de l'utilisateur">
                <data id="nbRecords" label="Nombre total de dossiers :"/>
                <group id="record[]" label="Dossier" min-occurs="0" max-occurs="100" fold="yes" if="null != _page.results.nashRecords.nbRecords and _page.results.nashRecords.nbRecords != '' and _page.results.nashRecords.nbRecords != '0'">
                    <data id="code" label="Identifiant :" width="50%" />
                    <data id="author" label="Identifiant de l'auteur :" width="50%" />
                    <data id="created" label="Date de création :" width="50%" />
                    <data id="updated" label="Date de modification :" width="50%" />
                    <data id="title" label="Titre :" />
                    <data id="history" label="Historique Tracker :" type="RemoteContent(src:'${application.public.url}/api/tracker/v1/uid/{{_group.code}}', dataType:'json')">
	                    <conftype>
	                        <param name="template">
                                <![CDATA[
									<table class="table table-stripped table-condensed table-hover dataTable no-footer">
										<thead>
											<tr role="row">
												<th class="name" tabindex="0" rowspan="1" colspan="1">Auteur</th>
												<th class="name" tabindex="0" rowspan="1" colspan="1">Message</th>
												<th class="date" tabindex="0" rowspan="1" colspan="1">Date de création</th>
											</tr>
										</thead>
										<tbody>
											{{#each messages}}
												<tr>
													<td>{{client}}</td>
													<td width="100%">{{content}}</td>
													<td>{{convertLongToDate created}}</td>
												</tr>
											{{/each}}
										</tbody>
									</table>
						        ]]>
	                        </param>
	                    </conftype>
                    </data>
                	<group id="details" label="Détails sur le dossier" fold="yes">
                    	<data id="formUid" label="Identifiant :" />
                    	<data id="description" label="Description :" />
                		<group id="reference" label="Référence">
                			<data id="code" label="Code :" />
                		</group>
                	</group>
                </group>
            </group>
        </group>
        <group id="debug" label="Debug">
            <group id="nashRecords" label="Liste des appels">
                <group id="input" label="Rappel des éléments d'entrée." fold="yes">
                    <data id="url" label="Url du service." type="StringReadOnly" />
                </group>
                <group id="output" label="Resultat de l'appel" fold="yes">
                    <data id="status" label="Statut de retour" type="StringReadOnly" />
                    <data id="response" label="Message de retour" type="TextReadOnly" />
                </group>
            </group>
        </group>
    </group>
</form>
